### Install Ansible

```
pip install -r requirements.txt
ansible-galaxy install -r requirements.yml
```

### Ansible Vault

To manage secrets, this repository use Ansible Vault.

Create a secret

```
ansible-vault create inv/host_vars/chosto.me/secrets.yml
```

Edit a secret

```
ansible-vault edit inv/host_vars/chosto.me/secrets.yml
```

### Server

All servers managed should have this base configuration in order to work :

- a user `chosto`
- SSH access allowed for this user
- a root access (`sudo`) for user `chosto` with a password specified as `ansible_become_pass` in inventory

*e.g.*

```
# adduser chosto
# adduser chosto sudo
```

## Usage

```
ansible-playbook [-t tag1 tag2...] all.yml
```
