#!/usr/bin/env sh

if [ ! -f /tmp/last_autorestic_check_date ]
then
	touch /tmp/last_autorestic_check_date
fi

current_date=$(date +"%D")
last_autorestic_check_date=$(cat /tmp/last_autorestic_check_date)

{{ autorestic_path }} -c {{ autorestic_config_path }} --ci exec -av -- unlock

#Check only one time a day
if [ "$current_date" != "$last_autorestic_check_date" ]
then
	#todo: use exec -- check when PR #253 is merged (more verbose)
	{{ autorestic_path }} -c {{ autorestic_config_path }} check
	if [ $? -ne 0 ]
	then
		exit
	fi
	echo $current_date > /tmp/last_autorestic_check_date
fi

{{ autorestic_path }} -vvv -c {{ autorestic_config_path }} --ci cron
